Gallery Platform API
Reference

Get Stripe balance & payouts

Returns the connected account's Stripe balance (available/pending) and recent/in-flight payouts with arrival dates. Empty when no Stripe account is connected.

GET
/gallery/stripe/payouts

Returns the connected account's Stripe balance (available/pending) and recent/in-flight payouts with arrival dates. Empty when no Stripe account is connected.

Authorization

bearerAuth payments:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: payments:read

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "connected": true,  "payouts_enabled": true,  "available": [    {      "amount_cents": -9007199254740991,      "currency": "string"    }  ],  "pending": [    {      "amount_cents": -9007199254740991,      "currency": "string"    }  ],  "payouts": [    {      "id": "string",      "amount_cents": -9007199254740991,      "currency": "string",      "status": "string",      "arrival_date": "string",      "created_at": "string",      "automatic": true    }  ]}